%define upstream_name 	 XML-Node
%define upstream_version 0.11

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 12

Summary:    Node-based XML parsing: an simplified interface to XML::Parser
License: 	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(XML::Parser)
BuildArch: noarch


%description
Using XML::Node, you can easily ignore the parts of XML files that you
are not interested in, thus helping in simplify Perl scripts
significantly.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.110.0-12.mga10
+ Revision: 2215964
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.110.0-11.mga9
+ Revision: 1901209
- Mageia 9 Mass Rebuild

* Wed Jul 01 2020 tv <tv> 0.110.0-10.mga8
+ Revision: 1600830
- fix %%install

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-9.mga8
+ Revision: 1498444
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1272777
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1036036
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 936360
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 749062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 686942
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 516156
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 375086
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 27301
- mageia rebuild
- imported package perl-XML-Node


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 401857
- rebuild using %%perl_convert_version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11-10mdv2009.0
+ Revision: 258844
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11-9mdv2009.0
+ Revision: 246764
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.11-7mdv2008.1
+ Revision: 136367
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.11-7mdv2008.0
+ Revision: 23512
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.11-6mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL
	- URL
- use mkrel

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11-5mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-4mdk
- rebuild for new auto{prov,req}

